Subject: bug#24179: 25.1; scroll-conservatively over SCROLL_LIMIT may put point in the wrong place

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Aug 2016 20:25:23 +0300

> From: Alex <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 13 Aug 2016 10:59:15 -0600
> 
> I meant that if it was necessary to show the point in the wrong position
> in this case even for a very brief period of time. That is, could Emacs
> correct the position before displaying the point to the user?

Teaching Emacs not to get into such situations is what takes to fix
these problems.  Until then, no, Emacs cannot correct the position
before showing the window, because if it did, the problem wouldn't
have existed in the first place.

When Emacs is about to redisplay a window, its main task is to figure
out what should be the window-start position.  If it decides
incorrectly (which is what happens in this case), the window will
display incorrectly.  The display engine tries to detect these
situations and recover from them, but it sometimes fails.